package ContractReview

import (
	db "ERP_storage/initialize"
)

// 服务内容
type ServiceItem struct {
	Id                int    `json:"Id" gorm:"primaryKey;autoIncrement;comment:主键编码"` // 主键编码
	T_name            string `json:"T_name" gorm:"size:128" `                         // 服务内容
	T_service_type_id int    `json:"T_service_type_id" gorm:"size:128" `              // 服务类型id
	T_sale_type       string `json:"T_sale_type" gorm:"size:128"`                     // 销售类型
	T_model           string `json:"T_model" gorm:"size:128"`                         // 型号
	T_spec            string `json:"T_spec" gorm:"size:128"`                          // 规格

	ServiceType ServiceTypeOmit `json:"ServiceType" gorm:"->;foreignkey:T_service_type_id;references:Id"` // 角色

	T_State    int     `json:"T_State" gorm:"column:t__state;size(2);default(1)"`                  // 0 删除（伪删除）   1 正常
	CreateTime db.Time `json:"CreateTime" gorm:"column:create_time;autoCreateTime;comment:创建时间"`   // 创建时间
	UpdateTime db.Time `json:"UpdateTime" gorm:"column:update_time;autoUpdateTime;comment:最后更新时间"` // 最后更新时间

}

func (e *ServiceItem) TableName() string {
	return "service_item"
}

type ServiceItemOmit struct {
	Id                int    `json:"Id" gorm:"primaryKey;autoIncrement;comment:主键编码"` // 主键编码
	T_name            string `json:"T_name" gorm:"size:128" `                         // 服务内容
	T_service_type_id int    `json:"T_service_type_id" gorm:"size:128" `              // 服务类型id
	T_sale_type       string `json:"T_sale_type" gorm:"size:128"`                     // 销售类型
	T_model           string `json:"T_model" gorm:"size:128"`                         // 型号
	T_spec            string `json:"T_spec" gorm:"size:128"`                          // 规格

	ServiceType ServiceTypeOmit `json:"ServiceType" gorm:"->;foreignkey:T_service_type_id;references:Id"` // 角色
}

func (e *ServiceItemOmit) TableName() string {
	return "service_item"
}
