package ContractReview

import (
	db "ERP_storage/initialize"
)

// 服务类型
type ServiceType struct {
	Id         int     `json:"Id" gorm:"primaryKey;autoIncrement;comment:主键编码"`                    // 主键编码
	T_name     string  `json:"T_name" gorm:"size:128" `                                            // 服务类型名称
	T_State    int     `json:"T_State" gorm:"column:t__state;size(2);default(1)"`                  // 0 删除（伪删除）   1 正常
	CreateTime db.Time `json:"CreateTime" gorm:"column:create_time;autoCreateTime;comment:创建时间"`   // 创建时间
	UpdateTime db.Time `json:"UpdateTime" gorm:"column:update_time;autoUpdateTime;comment:最后更新时间"` // 最后更新时间

}

func (e *ServiceType) TableName() string {
	return "service_type"
}

type ServiceTypeOmit struct {
	Id     int    `json:"id,omitempty"`     // 主键编码
	T_name string `json:"T_name,omitempty"` // 服务类型
}

func (e *ServiceTypeOmit) TableName() string {
	return "service_type"
}
