package routers

import (
	"ERP_storage/controllers"
	beego "github.com/beego/beego/v2/server/web"
)

func init() {

	contract := beego.NewNamespace("/Contract",
		beego.NSRouter("/List", &controllers.ContractController{}, "*:Contract_List"),                 // 合同列表
		beego.NSRouter("/User_List", &controllers.ContractController{}, "*:Contract_User_List"),       // 合同列表 - 销售人员
		beego.NSRouter("/Get", &controllers.ContractController{}, "*:Contract_Get"),                   // 合同详情
		beego.NSRouter("/Approval", &controllers.ContractController{}, "*:Contract_Approval"),         // 合同详情
		beego.NSRouter("/Add", &controllers.ContractController{}, "*:Contract_Add"),                   // 添加合同
		beego.NSRouter("/Edit", &controllers.ContractController{}, "*:Contract_Edit"),                 // 编辑合同
		beego.NSRouter("/Del", &controllers.ContractController{}, "*:Contract_Del"),                   // 删除合同
		beego.NSRouter("/Product_List", &controllers.ContractController{}, "*:Contract_Product_List"), // 合同产品列表
		beego.NSRouter("/Out_List", &controllers.ContractController{}, "*:Contract_List_For_Out"),     // 合同产品列表
		beego.NSRouter("/Gen_Number", &controllers.ContractController{}, "*:Contract_GenT_number"),    // 生成合同编号
		beego.NSRouter("/Stat", &controllers.ContractController{}, "*:Contract_Stat"),                 // 统计合同金额
	)
	verifyContract := beego.NewNamespace("/VerifyContract",
		beego.NSRouter("/List", &controllers.ContractController{}, "*:VerifyContract_List"),                       // 验证合同列表
		beego.NSRouter("/Add", &controllers.ContractController{}, "*:VerifyContract_Add"),                         // 添加验证合同
		beego.NSRouter("/Edit", &controllers.ContractController{}, "*:VerifyContract_Edit"),                       // 编辑验证合同
		beego.NSRouter("/Del", &controllers.ContractController{}, "*:VerifyContract_Del"),                         // 删除验证合同
		beego.NSRouter("/Customer_List", &controllers.ContractController{}, "*:VerifyContract_Customer_List"),     // 验证合同客户列表
		beego.NSRouter("/Add_Customer", &controllers.ContractController{}, "*:VerifyContract_Add_Customer"),       // 添加客户
		beego.NSRouter("/Update_Customer", &controllers.ContractController{}, "*:VerifyContract_Update_Customer"), // 编辑客户
	)
	recoveriesContract := beego.NewNamespace("/RecoveriesContract",
		beego.NSRouter("/List", &controllers.ContractController{}, "*:Contract_List_RecoveriesMoney"), // 回款明细列表
	)
	beego.AddNamespace(contract, verifyContract, recoveriesContract)
}
