package routers

import (
	"ERP_storage/controllers"
	beego "github.com/beego/beego/v2/server/web"
)

func init() {
	serviceType := beego.NewNamespace("/ServiceType",
		beego.NSRouter("/List", &controllers.ContractReviewController{}, "*:ServiceType_List"), // 服务类型列表
		beego.NSRouter("/Add", &controllers.ContractReviewController{}, "*:ServiceType_Add"),   // 添加服务类型
		beego.NSRouter("/Edit", &controllers.ContractReviewController{}, "*:ServiceType_Edit"), // 编辑服务类型
		beego.NSRouter("/Del", &controllers.ContractReviewController{}, "*:ServiceType_Del"),   // 删除服务类型
	)
	serviceItem := beego.NewNamespace("/ServiceItem",
		beego.NSRouter("/List", &controllers.ContractReviewController{}, "*:ServiceItem_List"), // 服务内容列表
		beego.NSRouter("/Add", &controllers.ContractReviewController{}, "*:ServiceItem_Add"),   // 添加服务内容
		beego.NSRouter("/Edit", &controllers.ContractReviewController{}, "*:ServiceItem_Edit"), // 编辑服务内容
		beego.NSRouter("/Del", &controllers.ContractReviewController{}, "*:ServiceItem_Del"),   // 删除服务内容
	)
	contractReview := beego.NewNamespace("/ContractReview",
		beego.NSRouter("/List", &controllers.ContractReviewController{}, "*:List"),                             // 合同评审列表
		beego.NSRouter("/Finance_List", &controllers.ContractReviewController{}, "*:Finance_List"),             // 合同评审列表 - 财务
		beego.NSRouter("/Manager_List", &controllers.ContractReviewController{}, "*:Manager_List"),             // 合同评审列表 - 总经理
		beego.NSRouter("/Submit_User_List", &controllers.ContractReviewController{}, "*:Submit_User_List"),     // 负责人列表
		beego.NSRouter("/Add", &controllers.ContractReviewController{}, "*:Add"),                               // 添加合同评审
		beego.NSRouter("/Edit", &controllers.ContractReviewController{}, "*:Edit"),                             // 编辑合同评审
		beego.NSRouter("/Del", &controllers.ContractReviewController{}, "*:Del"),                               // 删除合同评审
		beego.NSRouter("/Submit_Audit", &controllers.ContractReviewController{}, "*:Submit_Audit"),             // 提交审核
		beego.NSRouter("/Finance_Audit", &controllers.ContractReviewController{}, "*:Finance_Audit"),           // 财务审核
		beego.NSRouter("/Manager_Audit", &controllers.ContractReviewController{}, "*:Manager_Audit"),           // 总经理审核
		beego.NSRouter("/Stock_Detail_Excel", &controllers.ContractReviewController{}, "*:Stock_Detail_Excel"), // 财务导出

	)
	beego.AddNamespace(serviceType, serviceItem, contractReview)
}
